<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="c529f766e1db2027" weblate-flags="safe-html, strict-same">
        <source>= Allocation Control As &lt;&lt;ref_value_from&gt;&gt; creates a &lt;&lt;ref_value&gt;&gt; object, users may want to control the way memory is allocated for it. For this reason the function has an optional &lt;&lt;ref_storage_ptr&gt;&gt; parameter, that is used to set the {ref_memory_resource} for the result.</source>
        <target state="translated">= 分配控制 由于&amp;lt;&lt;ref_value_from&gt;&amp;gt;会创建一个&amp;lt;&lt;ref_value&gt;&amp;gt;对象，用户可能希望控制其内存分配方式。因此，该函数具有一个可选的 &amp;lt;&lt;ref_storage_ptr&gt;&amp;gt; 参数，用于为结果指定{ref_memory_resource}。&lt;/ref_storage_ptr&gt;&lt;/ref_value&gt;&lt;/ref_value_from&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c219ca47bd3922fd" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_to&gt;&gt; does not have a similar parameter, as &lt;&lt;ref_value&gt;&gt; is not created.</source>
        <target state="translated">&amp;lt;&lt;ref_value_to&gt;&amp;gt; 没有类似的参数，因为该函数不会创建 &amp;lt;&lt;ref_value&gt;&amp;gt; 对象。&lt;/ref_value&gt;&lt;/ref_value_to&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="84bebd121a2844a4" weblate-flags="safe-html, strict-same">
        <source>As the conversion result is set via an output parameter of type `value&amp;`, the intended &lt;&lt;ref_storage_ptr&gt;&gt; is correctly propagated. But users still should take care to not create temporaries using the default {ref_memory_resource} by accident.</source>
        <target state="translated">由于转换结果是通过类型为`value&amp;amp;`的输出参数设置的，因此预期的&amp;lt;&lt;ref_storage_ptr&gt;&amp;gt;会被正确传播。但用户仍需注意，避免意外创建使用默认 {ref_memory_resource} 的临时对象。&lt;/ref_storage_ptr&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">20</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="37deed72f4a94944" weblate-flags="safe-html, strict-same">
        <source>For example, consider this alternative implementation of `tag_invoke` for `ip_address` from the section &lt;&lt;custom_conversions&gt;&gt;.</source>
        <target state="translated">例如，考虑&amp;lt;&lt;custom_conversions&gt;&amp;gt;节中针对`ip_address`的`tag_invoke`的替代实现。&lt;/custom_conversions&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6459e5a058296fdd" weblate-flags="safe-html, strict-same">
        <source>``` void tag_invoke( const value_from_tag&amp;, value&amp; jv, ip_address const&amp; addr ) { jv = array{ b[0], b[1], b[2], b[3] }; } ```</source>
        <target state="translated">``` void tag_invoke( const value_from_tag&amp;amp;, value&amp;amp; jv, ip_address const&amp;amp; addr ) { jv = array{ b[0], b[1], b[2], b[3] }; } ```</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">28</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d3fe6df2a74d4995" weblate-flags="safe-html, strict-same">
        <source>This implementation explicitly creates an &lt;&lt;ref_array&gt;&gt; rather than relying on assignment from an initializer list. But the array uses default {ref_memory_resource}, not the one used by `jv`.</source>
        <target state="translated">该实现显式创建了一个 &amp;lt;&lt;ref_array&gt;&amp;gt;，而不是依赖于初始化列表的赋值。但该数组使用的是默认的 {ref_memory_resource}，而不是`jv`所使用的内存资源。&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="21e2378a842ee324" weblate-flags="safe-html, strict-same">
        <source>To avoid creating such temporaries with an incorrect {ref_memory_resource}, using &lt;&lt;ref_value&gt;&gt;'s member functions &lt;&lt;ref_value_emplace_array&gt;&gt;, &lt;&lt;ref_value_emplace_object&gt;&gt;, and &lt;&lt;ref_value_emplace_string&gt;&gt; can be helpful.</source>
        <target state="translated">为避免创建使用错误 {ref_memory_resource} 的临时对象，可以借助 &amp;lt;&lt;ref_value&gt;&amp;gt; 的成员函数 &amp;lt;&lt;ref_value_emplace_array&gt;&amp;gt;、&amp;lt;&lt;ref_value_emplace_object&gt;&amp;gt; 和 &amp;lt;&lt;ref_value_emplace_string&gt;&amp;gt;。&lt;/ref_value_emplace_string&gt;&lt;/ref_value_emplace_object&gt;&lt;/ref_value_emplace_array&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">40</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
